IF EXISTS ( SELECT * FROM   sys.views WHERE  object_id = OBJECT_ID(N'[dbo].[EST_PROD_CPL_TRIB_EST]'))
    DROP VIEW [dbo].[EST_PROD_CPL_TRIB_EST];
GO

CREATE VIEW [dbo].[EST_PROD_CPL_TRIB_EST]
AS
SELECT EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.CD_EMP, 
            PRC_REGIAO_FISCAL_PRC_FILIAL.CD_REGIAO_FISCAL, 
            PRC_REGIAO_FISCAL_PRC_FILIAL.CD_FILIAL, 
            EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.CD_PROD, 
            EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.CD_TRIB, 
            EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.TP_MOV, 
            EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.TP_TRANSA, 
            EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_RED, 
            EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.TP_SUBS, 
            EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.VLR_PAUTA_IVA,
			CASE
                WHEN(EST_TRIB.SUBS_TRIB_ANT + EST_TRIB.ISENTO) <> 0
                THEN 0
                ELSE EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_ICMS
            END AS PERC_ICMS, 
            EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.TP_RED_BASE_IMP,
            CASE
                WHEN(EST_TRIB.SUBS_TRIB_ANT + EST_TRIB.ISENTO) <> 0
                THEN 0
                ELSE EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_ICMS_EST
            END AS PERC_ICMS_EST, 
            EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_RED_SUBS_TRIB, 
            EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_RED_ESTORNO, 
            ISNULL(EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_REPASSE, 0) AS PERC_REPASSE, 
            ISNULL(EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_IBPT, 0) AS PERC_IBPT, 
            EST_TRIB.CD_TRIB_FC, 
            ISNULL(EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.CST_PIS, 0) AS CST_PIS, 
            ISNULL(EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.CST_COFINS, 0) AS CST_COFINS, 
            ISNULL(EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_PIS, 0) AS PERC_PIS, 
            ISNULL(EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_COFINS, 0) AS PERC_COFINS, 
            ISNULL(EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_FECOP, 0) AS PERC_FECOP, 
            ISNULL(EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_FECOP_ST, 0) AS PERC_FECOP_ST, 
            ISNULL(EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.CST_TP_TRIB_PIS, 0) AS CST_TP_TRIB_PIS, 
            ISNULL(EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.CST_TP_TRIB_COFINS, 0) AS CST_TP_TRIB_COFINS, 
			ISNULL(EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_ICMS_DESONERADO,0) AS PERC_ICMS_DESONERADO,
            EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_FECOP_RET,
			-----FARMAGOI3378---------
			ISNULL(EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_RED_BASE_CALC_EFET,0) AS PERC_RED_BASE_CALC_EFET, 
			ISNULL(EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_ICMS_RET,0) AS PERC_ICMS_RET,
			ISNULL(EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.PERC_ICMS_EFET,0) AS PERC_ICMS_EFET,
			ISNULL(PRC_FILIAL.REGIME_TRIBUTARIO,0) AS REGIME_TRIBUTARIO_FILIAL,
			GLB_CID.UF UF_FILIAL,
			(SELECT ISNULL( ALQ.ALIQ_ICMS ,0) FROM  EST_TRIB_ALIQ_ICMS ALQ
			  WHERE  ALQ.UF_ORIG  COLLATE SQL_Latin1_General_CP1_CI_AS = GLB_CID.UF  COLLATE SQL_Latin1_General_CP1_CI_AS AND  ALQ.UF_DEST  COLLATE SQL_Latin1_General_CP1_CI_AS = ALQ.UF_ORIG  COLLATE SQL_Latin1_General_CP1_CI_AS) ALIQ_INTERNA,
			ISNULL( PERC_ICMS_SIMPLES_NACIONAL,0) PERC_ICMS_SIMPLES_NACIONAL_FILIAL
 
     FROM EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST
          INNER JOIN PRC_REGIAO_FISCAL_PRC_FILIAL ON EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.CD_EMP           = PRC_REGIAO_FISCAL_PRC_FILIAL.CD_EMP
                                                 AND EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.CD_REGIAO_FISCAL = PRC_REGIAO_FISCAL_PRC_FILIAL.CD_REGIAO_FISCAL
          INNER JOIN EST_TRIB ON EST_PROD_PRC_REGIAO_FISCAL_TRIB_EST.CD_TRIB = EST_TRIB.CD_TRIB
		  INNER JOIN  PRC_FILIAL ON PRC_REGIAO_FISCAL_PRC_FILIAL.CD_EMP = PRC_FILIAL.CD_EMP 
		  AND PRC_REGIAO_FISCAL_PRC_FILIAL.CD_FILIAL= PRC_FILIAL.CD_FILIAL
		  LEFT JOIN GLB_CID   ON
		  PRC_FILIAL.CD_CID =  GLB_CID.CD_CID

 
          


		   